ENVISAT Product Reader API for C |

Data Fields
EPR_BandId Struct Reference

The `EPR_BandId` structure contains information about a band within an ENVISAT product file which has been opened with the `epr_open_product()` API function. More...

`#include <epr_api.h>`

## Data Fields

EPR_Magic | magic
| The magic number for this structure.
EPR_SProductId * | product_id
| The ID of the product to which this band belongs to.
char * | band_name
| The name as presented to the user in a band selection dialog (also known as spectral subset)
int | spectr_band_index
| The (zero-based) spectral band index.
EPR_SDatasetRef | dataset_ref
| The reference of the source dataset containing the raw data used to create the band's pixel values.
EPR_ESampleModel | sample_model
| The sample model operation applied to the source dataset for getting the correct samples from the MDS (for example MERIS L2).
EPR_EDataTypeId | data_type
| The data type of the band's pixel values.
EPR_EScalingMethod | scaling_method
| The scaling method which must be applied to the raw source data in order to get the 'real' pixel values in geo-physical units.
float | scaling_offset
| The scaling offset.
float | scaling_factor
| The scaling factor.
char * | bm_expr
| A bit-mask expression used to filter valid pixels.
EPR_SPtrArray * | flag_coding
| The flag coding is a list of EPR_SFlag instances.
char * | unit
| The geophysical unit for the band's pixel values.
char * | description
| A short description of the band's contents.
epr_boolean | lines_mirrored
| If true (=1) lines will be mirrored (flipped) after read into a raster in order to ensure a pixel ordering in raster X direction from WEST to EAST.

## Detailed Description

The `EPR_BandId` structure contains information about a band within an ENVISAT product file which has been opened with the `epr_open_product()` API function.

A new `EPR_BandId` instance can be obtained with the `epr_get_band_id()` API function.

See also
  epr_open_product
  epr_get_band_id

The documentation for this struct was generated from the following file:

- epr_api.h